package com.qmth.exam.reserve.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.exam.reserve.entity.ExamRoomEntity;
import com.qmth.exam.reserve.entity.TimePeriodExamRoomEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

public interface TimePeriodExamRoomDao extends BaseMapper<TimePeriodExamRoomEntity> {

    List<ExamRoomEntity> listExamRoom(@Param("examSiteId") Long examSiteId, @Param("timePeriodId") Long timePeriodId, @Param("enable") Boolean enable);

    List<TimePeriodExamRoomEntity> listByExamRoomIdsAndTimePeriodIds(@Param("examRoomIds") List<Long> examRoomIds,
            @Param("timePeriodIds") List<Long> timePeriodIds, @Param("ids") List<Long> ids);

    List<TimePeriodExamRoomEntity> listByExamRoomIdsAndTimePeriodId(@Param("examRoomIds") List<Long> examRoomIds, @Param("timePeriodId") Long timePeriodId);

    List<TimePeriodExamRoomEntity> listByExamRoomAndPeriodIds(@Param("examRoomId") Long examRoomId, @Param("periodIds") Set<Long> periodIds);
}
